com.google.gwt.activity.shared

## Class FilteredActivityMapper

- java.lang.Object
- - com.google.gwt.activity.shared.FilteredActivityMapper

All Implemented Interfaces:
  ActivityMapper

    public class FilteredActivityMapper
    extends java.lang.Object
    implements ActivityMapper

Wraps an activity mapper and applies a filter to the place objects that it sees.

### Nested Class Summary

Nested Classes
`static interface` `FilteredActivityMapper.Filter` Implemented by objects that want to interpret one place as another.

### Constructor Summary

Constructors
Constructor and Description
`FilteredActivityMapper(FilteredActivityMapper.Filter filter, ActivityMapper wrapped)` Constructs a FilteredActivityMapper object.

### Method Summary

All Methods Instance Methods Concrete Methods
`Activity` `getActivity(Place place)` Returns the activity to run for the given `Place`, or null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilteredActivityMapper

    public FilteredActivityMapper(FilteredActivityMapper.Filter filter,
                                  ActivityMapper wrapped)

Constructs a FilteredActivityMapper object.

Parameters:
  `filter` - a Filter object
  `wrapped` - an ActivityMapper object

### Method Detail

#### getActivity

    public Activity getActivity(Place place)

Description copied from interface: `ActivityMapper`
Returns the activity to run for the given `Place`, or null.

Specified by:
  `getActivity` in interface `ActivityMapper`
Parameters:
  `place` - a Place object